-- FUNCTION: public.getSplit(regclass, integer)

-- DROP FUNCTION public."getSplit"(regclass, integer);

CREATE OR REPLACE FUNCTION public."getSplit"(
	table_train regclass,
	n_features integer)
    RETURNS integer[]
    LANGUAGE 'plpgsql'
    COST 100
    VOLATILE PARALLEL UNSAFE
AS $BODY$
declare
	b_index integer := 999;
	b_value integer := 999;
	b_score integer := 999;
	cur_features integer[];
	idx integer;
begin
	cur_features:= array[0,0,0,0,0,0];
	loop
		exit when cur_features = n_features;
		idx = random(6);
		if cur_features[idx] == 0 then
		cur_features[idx] := 1;
		end if;
	end loop;
	return array[b_index, b_value, b_score];
end;
$BODY$;

ALTER FUNCTION public."getSplit"(regclass, integer)
    OWNER TO postgres;
